/* body {
    font-family: "Inter", sans-serif;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 50px;
} */
body,
html {
    padding: 0px;
    margin: 0px;
    background-color: #F5EFEB;
    font-family: Poppins, sans-serif;
}

#calcul,
#facture {
    display: none;
}

body {
    display: flex;
}

h1 {
    color: #4849E8;
}

header {
    height: 100vh;
    width: 250px;
    background-color: #4849E8;
    color: white;
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: space-around;
}

.contenu {
    position: relative;
    background-color: white;
    min-height: 400px;
    width: 90%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 20px 30px;
    border-radius: 20px;
    margin: auto;
}

.contenu #descriptionEtape {
    color: #4849E8;
    font-weight: 500;
    font-size: 18px;
    text-align: center;
}

.block_principale {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
}

li {
    list-style-type: none;
    font-size: 17px;
    padding: 15px 0px;
}

nav {
    height: 70%;
}

a {
    text-decoration: none;
}

ul {
    height: 60vh;
    display: flex;
    padding-left: 12px;
    flex-direction: column;
    justify-content: space-around;
}

#info {
    display: none;
    top: 15px;
    right: 15px;
    position: absolute;
}

#info img {
    width: 30px;
}

#info:hover img {
    transform: scale(1.1);
}

.document,
.block_point {
    background-color: #DCF343;
    color: #4849E8;
    border: 2px solid #4849E8;
    box-shadow: rgba(50, 50, 93, 0.25) 0px 2px 5px -1px, rgba(0, 0, 0, 0.3) 0px 1px 3px -1px;
    
}

.document {
    border-radius: 15px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    padding: 0px 20px;
    font-size: 15px;
    font-weight: 600;
    margin: 15px 0px;
}
.document:hover{
    background-color: #4849E8;
    color: #DCF343;
}

.block_point {
    height: 50px;
    border-radius: 1.5rem;
    padding: 0px 20px;
    width: 700px;
    display: flex;
    justify-content: space-around;
}

.points {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 20px;
    width: 200px;
}

.points1 {
    width: 80%;
}

.points p {
    padding: 0px 10px;
}

.block_bas {
    display: flex;
    align-items: center;
    margin-bottom: 20px;
    width: 100%;
}

.block_point1 {
    width: 80%;
    display: flex;
    justify-content: flex-end;
}

.block_point2 {
    width: 20%;
    display: flex;
    justify-content: center;
}

.block_bas a {
    font-size: 20px;
    display: flex;
    font-weight: bold;
    align-items: center;
}


/*JEU  back-end*/
#jeu {
    max-width: 1000px;
    text-align: center;
    padding: 20px;
    border: 2px solid #333;
    border-radius: 10px;
}

.btn-choix {
    display: block;
    margin: 10px 0;
    padding: 10px;
    font-size: 16px;
    cursor: pointer;
}

#btnSuivant {
    padding: 5px 15px;
    font-size: 20px;
    cursor: pointer;
    display: flex;
    border: 3px solid #F5EFEB;
    align-items: center;
    display: none;
    color: #4849E8;
    /* Masqué par défaut */
}

#btnSuivant:hover {
    border: 3px solid #4849E8;
    border-radius: 2rem;
}

#btnSuivant:hover svg {
    fill: antiquewhite;
}

#choix-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.choix-card {
    margin: 2px 0px;
}

/* .choix-card:hover {
    background-color: #f0f0f0;
  } */


/*WIFI*/
p {
    margin: 0px;
}

/*GENERAL CARTE*/
.carteimg {
    width: 320px;
    height: 150px;
    border-radius: 0.8rem;
    cursor: pointer;
    position: relative;
    border: 4px solid white;
    overflow: hidden;
}

.image_fond {
    width: 100%;
    height: 100%;
    filter: brightness(50%);
    object-fit: cover;
}

.job,
.ville,
.bus {
    display: flex;
    flex-direction: column;
    color: white;
    font-weight: bold;
    font-size: 18px;
    /* background-color: #ABC3FF;
    border: 3px solid #ABC3FF; */
    align-items: center;
    justify-content: space-around;
    /* overflow: hidden; */
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100%;
    transform: translate(-50%, -50%);
}

.ville h2,
.job h2 {
    font-size: 45px;
    font-weight: 800;
    margin: 0;
    padding: 0;
}

.image_fond:hover {
    filter: brightness(60%);
}

/*FIN GENERAL CARTE*/

/*DEBUT COURSE*/
.wifi-info {
    cursor: pointer;
    display: flex;
    background-color: #ABC3FF;
    border-radius: 2.5rem;
    width: 20rem;
    height: 150px;
    margin: 10px;
    color: #4849E8;
    border: 4px solid #ABC3FF;
}

.wifi-info:hover {
    background-color: white;
}


.div1 {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 40%;
}

.div2 {
    width: 60%;
}

.div1 img {
    width: 90%;
    height: 90%;
    object-fit: contain;
}

.div2 h3 {
    font-weight: bold;
}

.wifi-features {
    display: flex;
    justify-content: space-around;
}

.wifi-features p {
    align-items: center;
    display: flex;
    font-size: 8px;
    width: 33%;
    margin: 0px;
    flex-direction: column;
}

.wifi-features img {
    width: 20px;
}

.promo {
    font-size: 12px;
    text-decoration: line-through;
}

/* FIN WIFI*/

/*DEBUT COURSE*/
.article {
    display: flex;
    width: 250px;
    height: 130px;
    padding: 10px 10px 10px 0;
    background-color: #ABC3FF;
    color: #4849E8;
    border: 4px solid #ABC3FF;
    border-radius: 1rem;
    cursor: pointer;
}

.article:hover {
    background-color: white;
}

.image {
    width: 40%;
    object-fit: contain;
}

.image img {
    max-height: 80;
    max-width: 50px;
}

.descriptions {
    width: 60%;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

.descriptions h2 {
    margin: 0px;
    padding: 5px 0;
    font-size: 15px;
}

.descriptions .infos {
    font-size: 12px;
}

.descriptions label {
    width: 100%;
    display: flex;
    justify-content: flex-end;
}

/*.descriptions input[type="checkbox"]{
    background-color: #ABC3FF;
  } */
input[type="checkbox"] {
    display: none;
}

.check {
    display: flex;
    width: 100%;
    justify-content: flex-end;
    align-items: flex-end;
}

nav ul li.active {
    font-weight: bold;
    color: #DCF343;
}

.precisions {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
}

.prix {
    font-size: 20px;
    font-weight: bold;
}

.precisions hr {
    border: 1px solid #4849E8;
    height: 1rem;
}

/*FIN COURSE*/

/*DEBUT BUS*/

/*FIN BUS*/

/* DEBUT JOB*/

.job img {
    width: 30px;
    height: 30px;
    padding: 10px;
    filter: brightness(100%);
}

.job-info {
    display: flex;
    flex-direction: column;
    align-items: center;
    font-weight: 400;
    font-size: 15px;
    justify-content: space-around;
}

.job-infos {
    display: flex;
    width: 100%;
    justify-content: space-around;
}

/*FIN JOB*/

/*VILLE*/
.ville h2 {
    font-size: 45px;
    font-weight: 800;
    margin: 0;
    padding: 0;
}

.ville p {
    font-weight: 400;
}

/*FIN VILLE*/
/* DEBUT PAGE FIN*/
.fin {
    display: flex;
    height: 400px;
    align-items: center;
    justify-content: space-between;
    color: #4849E8;
    flex-direction: column;
}

.fin h2 {
    font-size: 40px;
    font-weight: 500;
}

.fin div {
    display: flex;
    justify-content: space-between;
}

.fin a {
    padding: 4px 20px;
    margin: 10px;
    background-color: #DCF343;
    font-size: 17px;
    cursor: pointer;
    color: #4849E8;
    font-weight: 600;
    text-decoration: none;
    border: 0;
    border: 3px solid #DCF343;
    border-radius: 1rem;
}

.fin a:hover {
    border: 3px solid #4849E8;
}

/* FIN PAGE FIN*/

.clicked {
    border: 4px solid #4849E8;
}

.ajout {
    color: red;
}

.suppression {

    color: green;
}

/*BANDE SON*/

.toggleSwitch {
    width: 50px;
    height: 50px;
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: red;
    border-radius: 50%;
    cursor: pointer;
    transition-duration: 0.3s;
    box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.13);
    overflow: hidden;
}


#checkboxInput {
    display: none;
}

.bell {
    width: 18px;
}

.bell path {
    fill: white;
}

.speaker {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 2;
    transition-duration: 0.3s;
    opacity: 0;
}

.speaker svg {
    width: 18px;
}

.mute-speaker {
    position: absolute;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 1;
    z-index: 3;
    transition-duration: 0.3s;
}

.mute-speaker svg {
    width: 18px;
}

#checkboxInput:checked+.toggleSwitch .speaker {
    opacity: 1;
    transition-duration: 0.3s;
    background-color: green;
}

#checkboxInput:checked+.toggleSwitch .mute-speaker {
    opacity: 0;
    transition-duration: 0.3s;
}

#checkboxInput:active+.toggleSwitch {
    transform: scale(0.7);
}

#checkboxInput:hover+.toggleSwitch {
    background-color: rgb(61, 61, 61);
}